<?xml version="1.0" encoding="utf-8"?>
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://localhost:666/Service1.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/InvExplorer.Web" />
  <xs:element name="GetAsset">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="symbol" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAssetResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/InvExplorer.Web" minOccurs="0" name="GetAssetResult" nillable="true" type="q1:Asset" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAssetSymbolNames">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="start" type="xs:int" />
        <xs:element minOccurs="0" name="count" type="xs:int" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAssetSymbolNamesResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/InvExplorer.Web" minOccurs="0" name="GetAssetSymbolNamesResult" nillable="true" type="q2:ArrayOfSymbolName" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAssetPrices">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="symbol" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAssetPricesResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/InvExplorer.Web" minOccurs="0" name="GetAssetPricesResult" nillable="true" type="q3:ArrayOfAssetPrice" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>